Bug 241169 - UPDATING: Update all entries to match recommended category/portname format
Summary: UPDATING: Update all entries to match recommended category/portname format
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-10 01:07 UTC by Yuichiro NAITO
Modified: 2019-10-21 04:59 UTC (History)
3 users (show)

See Also:
meta: merge-quarterly+


Attachments
UPDATING.patch (1.10 KB, patch)
2019-10-10 01:07 UTC, Yuichiro NAITO
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuichiro NAITO 2019-10-10 01:07:41 UTC
Created attachment 208218 [details]
UPDATING.patch

Please write category name in AFFECTS line so that 'pkg updating' can catch the port name.
I found some entries lost the category name.
I want to fix them like the attached patch.
Comment 1 Koichiro Iwao freebsd_committer 2019-10-16 01:10:28 UTC
I'm not sure who's responsible for this. Maybe portmgr's review required?
Comment 2 Koichiro Iwao freebsd_committer 2019-10-16 01:14:04 UTC
I found portcategory/portname is recommended in porter's handbook.
https://www.freebsd.org/doc/en/books/porters-handbook/moved-and-updating-files.html
Comment 3 Adam Weinberger freebsd_committer 2019-10-16 01:26:08 UTC
Portmgr review isn't required here, but you definitely have our approval. Thanks for catching these, Yuichiro!
Comment 4 commit-hook freebsd_committer 2019-10-16 01:26:31 UTC
A commit references this bug:

Author: meta
Date: Wed Oct 16 01:26:18 UTC 2019
New revision: 514569
URL: https://svnweb.freebsd.org/changeset/ports/514569

Log:
  AFFECTS line should contain portcategory/portname

  so that automated tools can parse it as easily as possible, according to
  Porter's handbook 11.2.1 [1].

  [1] https://www.freebsd.org/doc/en/books/porters-handbook/moved-and-updating-files.html

  PR:		241169
  Submitted by:	Yuichiro NAITO <naito.yuichiro@gmail.com>
  Approved by:	portmgr blanket

Changes:
  head/UPDATING
Comment 5 Koichiro Iwao freebsd_committer 2019-10-16 01:30:19 UTC
(In reply to Adam Weinberger from comment #3)
I suppose this kind of fix has a 'blanket approval' according to porter/committer's handbook.

I would say quarterly branch needs the same fix as well.
Comment 6 Adam Weinberger freebsd_committer 2019-10-16 02:23:08 UTC
(In reply to Koichiro Iwao from comment #5)
Yes, and yes. Please do merge this.
Comment 7 Yuichiro NAITO 2019-10-18 01:36:02 UTC
New entry has added without category name.

```
20191016:
  AFFECTS: users of KDE Plasma Desktop
  AUTHOR: kde@FreeBSD.org
```

should be include "x11/plasma5*".
Pkg-1.12.0 now supports regular expression matching.
Comment 8 Yuichiro NAITO 2019-10-18 01:37:57 UTC
> should be include "x11/plasma5*".

Sorry for English syntax mistake.

=> should include "x11/plasma5*".
Comment 9 commit-hook freebsd_committer 2019-10-21 04:43:16 UTC
A commit references this bug:

Author: meta
Date: Mon Oct 21 04:42:38 UTC 2019
New revision: 515080
URL: https://svnweb.freebsd.org/changeset/ports/515080

Log:
  UPDATING: Add category/portname for KDE Plasma Desktop in 20191016

  as well as r514569.

  PR:		241169
  Submitted by:	Yuichiro NAITO (naito.yuichiro@gmail.com)
  Approved by:	portmgr blanket

Changes:
  head/UPDATING
Comment 10 commit-hook freebsd_committer 2019-10-21 04:52:19 UTC
A commit references this bug:

Author: meta
Date: Mon Oct 21 04:51:34 UTC 2019
New revision: 515081
URL: https://svnweb.freebsd.org/changeset/ports/515081

Log:
  MFH: r514569

  AFFECTS line should contain portcategory/portname

  so that automated tools can parse it as easily as possible, according to
  Porter's handbook 11.2.1 [1].

  [1] https://www.freebsd.org/doc/en/books/porters-handbook/moved-and-updating-files.html

  PR:		241169
  Submitted by:	Yuichiro NAITO <naito.yuichiro@gmail.com>
  Approved by:	portmgr blanket

  Approved by:	portmgr (adamw)

Changes:
_U  branches/2019Q4/
  branches/2019Q4/UPDATING
Comment 11 Koichiro Iwao freebsd_committer 2019-10-21 04:59:05 UTC
Committed everything and MHF'ed' thanks!